# Vorlage in Wochen laden

`POST https://{tenant}.stamp.eu/rest/roster_templates/{rosterTemplate}/load`

Load a week snapshot template into target weeks (draft roster)

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `rosterTemplate` | string | ja | The roster template ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `unit_id` | string \| null | nein |
| `with_staffing` | boolean | nein |
| `target_weeks` | string[] | ja |

## Antworten

### 201

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | beliebig[] | ja |
| `summary` | object | ja |
| `summary.created` | integer | ja |
| `summary.open` | integer | ja |
| `summary.absence_conflicts` | integer | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
